Package jebl.math

# Class OrthogonalHints.Utils

java.lang.Object
jebl.math.OrthogonalHints.Utils

Enclosing interface:
  `OrthogonalHints`

public static class OrthogonalHints.Utils extends Object

## Method Summary

Modifier and Type
Method
Description
`static final OrthogonalHints`
`getAdjusted(OrthogonalHints toAdjust, int adjustmentFactor)`
`static final OrthogonalHints`
`getCombined(OrthogonalHints first, int numberOfFirstParameters, OrthogonalHints second, int numberOfSecondParameters)`
`static final double[]`
`getInternalParameterBoundaries(OrthogonalHints base, int parameter)`
`static final OrthogonalHints`
`getNull()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAdjusted

public static final OrthogonalHints getAdjusted(OrthogonalHints toAdjust, int adjustmentFactor)

Returns:
  a new OrthogonalHints object base on toAdjust that works with parameters from adjustmentFactor + what toAdjust worked with That is if the value x is the parameter will be passed toAdjust as x-adjustmentFactor, and the suggested OrderEnumerator adjusts input x by adding adjustment factor before returning to the sub toAdjust Enumerator (if you know what I mean)

### getCombined

public static final OrthogonalHints getCombined(OrthogonalHints first, int numberOfFirstParameters, OrthogonalHints second, int numberOfSecondParameters)

Returns:
  a new OrthogonalHints object that combines two sub OrthogonalHints objects so that all parameter information between 0 upto (but not including) numberOfFirstParameters is passed to first, and everything else is passed to second note: automatically adjusts second so assumes both first and second handle parameters in range 0..whatever (do not do preadjusment on second!)

### getInternalParameterBoundaries

public static final double[] getInternalParameterBoundaries(OrthogonalHints base, int parameter)

### getNull

public static final OrthogonalHints getNull()

Returns:
  an OrthogonalHints object that doesn't provide any hints